GENOME-MUSIC-COSMIC-OMIM(1p)

genome music cosmic-omim

NAME
genome music cosmic-omim - Compare the amino acid changes of supplied mutations to COSMIC and OMIM databases.

VERSION
This document describes genome music cosmic-omim (2018-07-05 at 09:17:13)

SYNOPSIS
genome music cosmic-omim --maf-file=? --output-file=? --reference-build=? [--omimaa-dir=?] [--cosmic-dir=?] [--verbose] [--wu-annotation-headers] [--aa-range=?] [--nuc-range=?] [--show-known-hits]

 ... music cosmic-omim \
        --maf-file input_dir/myMAF.tsv \
        --output-file output_dir/myMAF_output.tsv \
        --no-verbose

 ... music cosmic-omim \
        --maf-file input_dir/myMAF.tsv \
        --output-file output_dir/myMAF_output.tsv \
        --omimaa-dir omim_dir/ \
        --cosmic-dir cosmic_dir/ \
        --no-verbose

REQUIRED ARGUMENTS

maf-file  Path
    list of annotated mutations in MAF format (or any file with MAF+annotation headers)

output-file  Path
    Output file contains the input file with two columns appended to the end, corresponding to cosmic and omim mutation comparisons, respectively

reference-build  Text
    Put either "Build36" or "Build37"

    Default value 'Build37' if not specified

OPTIONAL ARGUMENTS

omimaa-dir  Path
    omim amino acid mutation database folder

cosmic-dir  Path
    cosmic amino acid mutation database folder

verbose  Boolean
    Use this to display the larger working output

    Default value 'false' (--noverbose) if not specified

noverbose  Boolean
    Make verbose 'false'

wu-annotation-headers  Boolean
    Use this if input MAF contains WUSTL annotation format headers

    Default value 'false' (--nowu-annotation-headers) if not specified

nowu-annotation-headers  Boolean
    Make wu-annotation-headers 'false'

aa-range  Integer
    Set how close a 'near' match is when searching for amino acid near hits

    Default value '2' if not specified

nuc-range  Integer
    Set how close a 'near' match is when searching for nucleotide position near hits

    Default value '5' if not specified

show-known-hits  Boolean
    When a finding is novel, show known AA in that gene

    Default value 'true' if not specified

noshow-known-hits  Boolean
    Make show-known-hits 'false'

DESCRIPTION
This tool looks at the amino acid changes for the given set of mutations and compares the genomic coordinates as well as the affected amino acid to the coordinates and amino acids of all cancer-specific mutations listed in the Cosmic and OMIM databases. The database files are specially prepared for this task and provided with the MuSiC suite. The tool reports various types of matches, including matches within "near proximity", where "near proximity" is currently defined as a linear DNA distance of 5 bases or 2 amino acids. (This type of matching helps to account for the possibility of subtle differences in reported positions for variants due to differences in transcript definitions or other things of this nature.) Any site without a match in a particular databases is reported as "novel" with respect to that database.

The output of this script returns each row the original input MAF file with two columns appended to the end of each, one column for each of the databases. Also included is a STDOUT printout of a summary of what was found in the input MAF. Neither output can be suppressed in the current version. The --verbose option is used to display working notes that are useful for various purposes in debugging potential MAF problems. The Omim and Cosmic directories must point to the output of the downloader, named appropriately, as they don't recognize the OMIM database in the raw download format.

This tool only compares build 36 or build 37 coordinates that are specified in Cosmic to the coordinates in your maf file. This is a weakness of the Cosmic database (not all position entries are currently available for both builds) that is out of our control.

In addition to the standard version 2.3 MAF headers, there needs to be 3 columns appended. These column headers in the MAF must have these names in the header in order for the tool to find them:
   transcript_name - the transcript name, such as NM_000028
 amino_acid_change - the amino acid change, such as p.R290H
        c_position - the nucleotide position changed, such as c.869

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Brian Dunford-Shore
 David Larson, Ph.D.
 Michael C. Wendl, Ph.D.
 William Schierding, M.S.

CREDITS
This tool depends on copies of data from the following databases, packaged in a form useable for quick analysis:

 * COSMIC - http://www.sanger.ac.uk/genetics/CGP/cosmic/
 * OMIM - http://www.ncbi.nlm.nih.gov/omim

SEE ALSO
genome-music(1), genome(1)